Subject: Re: [PATCH 1/3] ser_gigaset: fix up NULL checks

From: Tilman Schmidt <[email-masked]>
Date: Wed, 9 Dec 2015 11:45:57 +0100

Am 08.12.2015 um 23:16 schrieb One Thousand Gnomes:
> The right fix as far as I can see is to remove the tests although
> WARN_ON() combined with your tty->ops change might be safer.

Feel free to submit a patch.

>> It's pretty obvious that this should have been part of commit
>>  f34d7a5b7010 ("tty: The big operations rework"). That being said, these
> 
> It ahould probably have been fixed around the same time or in one of the
> tty locking reviews, but drivers/isdn and net/irda weren't traditionally
> part of the general tty maintenance but handled separately/

Or just ignored.

>> test puzzle me. It's not obvious why they're needed. Ie, can the null
>> dereferences they try to catch really happen? But I can try to figure
>> out that in the future, if I ever feel the urge to do so. Anyhow:
>>
>> Acked-by: Paul Bolle <[email-masked]>
> 
> Nacked-by: Alan Cox <[email-masked]>

So you feel it's better to maintain the current inconsistent state
created by commit f34d7a5b? Please elaborate.